# Note that this is NOT a relocatable package
%define ver      0.9
%define rel      1
%define prefix   /usr

Summary: Gnome Print - Printing libraries for GNOME.
Name: gnome-print
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-print/
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-print/gnome-print-%{ver}.tar.bz2
Source1:	gnome-print-fontmap
Icon:		gnome-print-logo.xpm
BuildRoot: 	/var/tmp/gnome-print-%{ver}-root
Requires: 	gnome-libs >= 1.0
Requires:	urw-fonts
Requires:	ghostscript-fonts >= 4.03

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.
The gnome-print package contains libraries and fonts that are needed by
GNOME applications wanting to print.

You should install the gnome-print package if you intend on using any of
the GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print
devel package.

%package devel
Summary: Printing libraries for GNOME.
Group: Development/Libraries

%description devel
The gnome-print-devel package includes the libraries and include files that
you will need when developing applications that use the GNOME printing
facilities.
You should install the gnome-print-devel package if you would like to
develop GNOME applications that will use the GNOME printing facilities.
You don't need to install the gnome-print-devel package if you just want
to use the GNOME desktop enviornment.

%prep
%setup -q

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/fonts/
cp %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/share/fonts/fontmap

cd fonts
install -c *.font $RPM_BUILD_ROOT%{prefix}/share/fonts

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if ! grep %{prefix}/lib /etc/ld.so.conf >& /dev/null ; then
    echo "%{prefix}/lib" >> /etc/ld.so.conf
fi

/sbin/ldconfig

%{prefix}/bin/gnome-font-install --system --scan --no-copy \
	--afm-path=%{prefix}/share/fonts/afms \
	--pfb-path=%{prefix}/share/fonts/pfbs \
	--pfb-assignment=ghostscript,%{prefix}/share/ghostscript/fonts \
	--afm-assignment=ghostscript,%{prefix}/share/ghostscript/fonts \
	--pfb-assignment=ghostscript,%{prefix}/share/fonts/default/Type1 \
	--afm-assignment=ghostscript,%{prefix}/share/fonts/default/Type1 \
	%{prefix}/share/fonts/ 2> /dev/null

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/lib*.so.*
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/fonts/afms/adobe/*
%{prefix}/share/fonts/*.font
%config %{prefix}/share/gnome-print/profiles/Postscript.profile

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/lib/*.la
%{prefix}/lib/*.sh
%{prefix}/include/*/*

%changelog
* Sat Oct  2 1999 Peter Hanecak <hanecak@megaloman.sk>
- 0.9 (yes, they [versions] fly :)

* Tue Sep 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.7 (versions fly :) )

* Sat Sep 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- upgraded to 0.6
- fixed the descriptions

* Wed Aug 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix post, (should be a trigger probably)

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- At least add a fontmap files if the %post fail.

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.4.
- New %post script.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
